Bug 138408 - Rhythmbox hangs on corrupt ogg file
Rhythmbox hangs on corrupt ogg file
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-08 18:48 EST by Emmanuel Seyman
Modified: 2013-03-13 00:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-03 06:18:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2004-11-08 18:48:27 EST
Description of problem:
After installing FC3, I decided to import my ogg file collection in
Rhythmbox. When I selected /media/drive/audio/ogg as the folder to
import, rhytmbox started importing files and then started stalling.
killing it and re-running it doesn't solve anything so I decided to
import the sub-folders one by one.

After a while, I found that rhythmbox was stalling on the folder
containing the rip of the CD "The Freedom Sessions" by artist Sarah
McLachlan. This CD is a mixed CD containg a data track which
sound-juicer has encoded into Ogg Vorbis format.

-rw-r--r--  1 manu manu     4012 nov 19  2003 [data track].ogg

Removing this file allowed rhythmbox to complete its import.

Version-Release number of selected component (if applicable):
rhythmbox-0.8.8-1

How reproducible:
always

Steps to Reproduce:
1. rip the "The Freedom Sessions" CD
2. check that data track has been encoded to Ogg Vorbis format
3. Import folder in Rhythmbox
  
Actual results:
Rhythmbox stalls and starts burning CPU cycles for nothing

Expected results:
No idea but rhythmbox shouldn't stall!

Additional info:
Comment 1 Anthony Rumble 2004-11-26 23:42:16 EST
Someone reported in #fedora that gstreamer 0.8.7 has problems with
Jpeg's (for example, if you have jpeg's in with your OGG's).

It's more than that, it seems if it hits a corrupt OGG (or mp3 if you
have libmad compiled in) it seems to assume it's a JPG and when it
loads the jpeg module, it seems to hang. I will attach an strace
fragment as example.

I think this bug could be related to this bug reported over at gnome

http://bugzilla.gnome.org/show_bug.cgi?id=156568


Partial strace ...
16614 lstat64("/data/music/new/elton_john-the_bitch_is_back.mp3",
{st_mode=S_IFREG|0444, st_size=12288, ...}) = 0
16614 open("/data/music/new/elton_john-the_bitch_is_back.mp3",
O_RDONLY|O_LARGEFILE) = 26
16614 fstat64(26, {st_mode=S_IFREG|0444, st_size=12288, ...}) = 0
16614 fstat64(26, {st_mode=S_IFREG|0444, st_size=12288, ...}) = 0
16614 _llseek(26, 0, [0], SEEK_CUR)     = 0
16614 gettimeofday({1101529890, 809174}, NULL) = 0
16614 read(26,
"\377\373\220D\0\0\1\353\6\265\0&\30\2402\240\6\240\0\0"..., 4096) = 4096
16614 stat64("/usr/lib/gstreamer-0.8/libgstjpeg.so",
{st_mode=S_IFREG|0755, st_size=35864, ...}) = 0
16614 access("/usr/lib/gstreamer-0.8/libgstjpeg.so", F_OK) = 0
16614 open("/usr/lib/gstreamer-0.8/libgstjpeg.so", O_RDONLY) = 27
16614 read(27,
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\300#\0"..., 512) = 512
16614 fstat64(27, {st_mode=S_IFREG|0755, st_size=35864, ...}) = 0
16614 old_mmap(NULL, 34644, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 27, 0) = 0x66e000
16614 old_mmap(0x676000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 27, 0x8000) = 0x676000
16614 close(27)                         = 0
16614 munmap(0x66e000, 34644)           = 0
16614 access("/usr/lib/gstreamer-0.8/libgstjpeg.so", F_OK) = 0
16614 open("/usr/lib/gstreamer-0.8/libgstjpeg.so", O_RDONLY) = 27
16614 read(27,
"\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\300#\0"..., 512) = 512
16614 fstat64(27, {st_mode=S_IFREG|0755, st_size=35864, ...}) = 0
16614 old_mmap(NULL, 34644, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 27, 0) = 0x66e000
16614 old_mmap(0x676000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 27, 0x8000) = 0x676000
16614 close(27)                         = 0

(The mp3 was small, 12k, which seems to be consistant to the bug report).
Comment 2 John Thacker 2006-04-29 09:53:03 EDT
FC3 is now the responsibility of Fedora Legacy, and this doesn't 
seem to be a security bug.  Can you duplicate this on FC5 with
the rhythmbox-0.9.4.1-1.fc5.1 update?  There have been a lots of fixes
related to similar problems to this, and gstreamer has switched to 
0.10.x as well.
Comment 3 Emmanuel Seyman 2006-05-03 06:18:04 EDT
Checks out fine on FC5 with rhythmbox-0.9.4.1-1.fc5.1.
Closing

Note You need to log in before you can comment on or make changes to this bug.